SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   Driver_atup Vendors:   Caldera/SCO
Caldera/SCO UnixWare/Open UNIX Drivers May Cause Denial of Service Conditions
SecurityTracker Alert ID:  1005462
SecurityTracker URL:  http://securitytracker.com/id/1005462
CVE Reference:   CVE-2002-1231   (Links to External Site)
Date:  Oct 22 2002
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): UnixWare 7.1.1 Open UNIX 8.0.0
Description:   A denial of service vulnerability was reported in the UnixWare/Open UNIX operating system. A remote user may be able to cause the system to become unstable.

It is reported that a remote user can conduct a remote copy ('rcp') of the /proc partition to cause the entire system to become unusable. The flaw apparently exists in the Driver_atup and Driver_mp drivers.

The cause of the vulnerability was not disclosed.

Impact:   A remote user can cause the system to become unusable.
Solution:   The vendor has released a fix.

For UnixWare 7.1.1:

Location of Fixed Binaries

ftp://ftp.sco.com/pub/updates/OpenUNIX/CSSA-2002-SCO.41


Verification

MD5 (erg712112c.pkg.Z) = 106da290e2483bc7aba11d7f486b50c4

md5 is available for download from
ftp://ftp.sco.com/pub/security/tools


Installing Fixed Binaries

Upgrade the affected binaries with the following sequence:

Download erg712112c.pkg.Z to the /var/spool/pkg directory

# uncompress /var/spool/pkg/erg712112c.pkg.Z
# pkgadd -d /var/spool/pkg/erg712112c.pkg


For Open UNIX 8.0.0:

Location of Fixed Binaries

ftp://ftp.sco.com/pub/updates/OpenUNIX/CSSA-2002-SCO.41


Verification

MD5 (erg712112d.pkg.Z) = b0e485feccbbe76aefb4061f9b7e6192

md5 is available for download from
ftp://ftp.sco.com/pub/security/tools


Installing Fixed Binaries

Upgrade the affected binaries with the following sequence:

Download erg712112d.pkg.Z to the /var/spool/pkg directory

# uncompress /var/spool/pkg/erg712112d.pkg.Z
# pkgadd -d /var/spool/pkg/erg712112d.pkg

Vendor URL:  www.sco.com/support/security/index.html (Links to External Site)
Cause:   Not specified
Underlying OS:  UNIX (Open UNIX-SCO)

Message History:   None.


 Source Message Contents

Subject:  Security Update: [CSSA-2002-SCO.41] UnixWare 7.1.1 Open UNIX 8.0.0 : rcp of /proc causes denial-of-service


--sdtB3X0nJg68CQEu
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

To: bugtraq@securityfocus.com announce@lists.caldera.com scoannmod@xenitec.on.ca full-disclosure@lists.netsys.com


______________________________________________________________________________

			SCO Security Advisory

Subject:		UnixWare 7.1.1 Open UNIX 8.0.0 : rcp of /proc causes denial-of-service
Advisory number: 	CSSA-2002-SCO.41
Issue date: 		2002 October 21
Cross reference:
______________________________________________________________________________


1. Problem Description

	An rcp of /proc by a normal user can cause the entire system
	to be unusable.


2. Vulnerable Supported Versions

	System				Binaries
	----------------------------------------------------------------------
	UnixWare 7.1.1			/etc/conf/pack.d/fs/Driver_atup.o
					/etc/conf/pack.d/fs/Driver_mp.o
	Open UNIX 8.0.0 		/etc/conf/pack.d/fs/Driver_atup.o
					/etc/conf/pack.d/fs/Driver_mp.o


3. Solution

	The proper solution is to install the latest packages.


4. UnixWare 7.1.1

	4.1 Location of Fixed Binaries

	ftp://ftp.sco.com/pub/updates/OpenUNIX/CSSA-2002-SCO.41


	4.2 Verification

	MD5 (erg712112c.pkg.Z) = 106da290e2483bc7aba11d7f486b50c4

	md5 is available for download from
		ftp://ftp.sco.com/pub/security/tools


	4.3 Installing Fixed Binaries

	Upgrade the affected binaries with the following sequence:

	Download erg712112c.pkg.Z to the /var/spool/pkg directory

	# uncompress /var/spool/pkg/erg712112c.pkg.Z
	# pkgadd -d /var/spool/pkg/erg712112c.pkg


5. Open UNIX 8.0.0

	5.1 Location of Fixed Binaries

	ftp://ftp.sco.com/pub/updates/OpenUNIX/CSSA-2002-SCO.41


	5.2 Verification

	MD5 (erg712112d.pkg.Z) = b0e485feccbbe76aefb4061f9b7e6192

	md5 is available for download from
		ftp://ftp.sco.com/pub/security/tools


	5.3 Installing Fixed Binaries

	Upgrade the affected binaries with the following sequence:

	Download erg712112d.pkg.Z to the /var/spool/pkg directory

	# uncompress /var/spool/pkg/erg712112d.pkg.Z
	# pkgadd -d /var/spool/pkg/erg712112d.pkg


6. References

	Specific references for this advisory:
		http://mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-1231

	SCO security resources:
		http://www.sco.com/support/security/index.html

	This security fix closes SCO incidents sr868418, fz525927,
	erg712112.


7. Disclaimer

	SCO is not responsible for the misuse of any of the information
	we provide on this website and/or through our security
	advisories. Our advisories are a service to our customers
	intended to promote secure installation and use of SCO
	products.

______________________________________________________________________________

--sdtB3X0nJg68CQEu
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (SCO_SV)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAj20ee0ACgkQaqoBO7ipriGkUQCgoYRclbgRnETCB3SppdfCNozd
YWEAn1WlQTXVNeBlp2UZcZ8YrGtIcl0S
=ZLQa
-----END PGP SIGNATURE-----

--sdtB3X0nJg68CQEu--

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC